Public Class Form7



   
    Private Sub Form7_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load

        dgv.RowCount = 3
        dgv.ColumnCount = 3
        dgv.Columns(0).HeaderText = "姓名"
        dgv.Columns(1).HeaderText = "语文"
        dgv.Columns(2).HeaderText = "数学"
        dgv.Rows(0).Cells(0).Value = "游平"
        dgv.Rows(1).Cells(0).Value = "张三"
        dgv.Rows(2).Cells(0).Value = "李四"

        dgv.Rows(0).Cells(1).Value = 85
        dgv.Rows(1).Cells(1).Value = 90
        dgv.Rows(2).Cells(1).Value = 70

        dgv.Rows(0).Cells(2).Value = 80
        dgv.Rows(1).Cells(2).Value = 75
        dgv.Rows(2).Cells(2).Value = 95

        dgv.AllowUserToAddRows = True

    End Sub

    Private Sub 图表效果测试1ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)



        myp.NewDoc()
        myp.NewPage(False)

        myp.PrintDGV(dgv, "学生成绩情况表（表格样式）", New Font("黑体", 20), StringAlignment.Center, "1111", True, True, 6, True, True, 6, 0, True, Nothing)


        myp.EndDoc()
    End Sub

    Private Sub 图表效果测试2ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub 图表测试3ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub 图表测试4ToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub
End Class